# 智能硬件整体架构

## 背景说明

公司目标是将物业行业软件（即绘管家绘服务）和相关小区智能硬件无缝对接，形成完备的智慧物业解决方案，已提升整个公司的竞争力和行业的话语权。小区进行智能硬件升级改造的目的是提升小区服务品质，减少人员投入，进而帮助物业客户达到减员增效的目的。对于我们智慧城而言，所有硬件都可能是一个流量入口（B端或C端）。

目前公司对接的厂商有多家，同一个类型的硬件会有不同的供应商提供（例如门禁设备有宇松，宇泛和海康威视）。从成本，实际场地，小区都存在个性化的需求（如部分成本敏感企业或无法撤岗的小区不需要使用无人值守停车场）。技术研发的目标是将不同厂家的硬件接口抽象封装统一面向业务系统，达到能够快速接入不同厂家的设备的目标，从而使得硬件平台能够集成大量、多样的硬件设备，覆盖更大的市场。因此，智能硬件平台的接入要朝着制定行业标准化接口的方向努力，达到类似物业行业硬件物联网网关的目标。

## 当前硬件概况

![硬件架构](image/iHardwareArchitechture.png)

## 流程

设备管理的通用流程如下图所示：

![设备通用流程](image/generalFlow.png)

对于软件开发而言，不同类型的设备的__安装调试__，__上线__，__监控__过程可能不空，具体可参考相关设备的业务流程文档。

## 开发建议

将同一类型的硬件设备服务抽象为统一的接口开放给业务系统，以达到接入新的厂商硬件时只需要该硬件实现该类型设备的接口即可，而无需修改其他模块编码。
